// 接口模块

import request from "@/utils/request";
// 引入qs
import Qs from "qs";
//初始化调用
const initialCall = () => {
  return request({
    method: "get",
    url: "/tofly-sxgk/shiro/refreshUser",
  });
};
// 中台登录
export const centerLogin_api = (data) => {
  return request({
    method: "post",
    url: "/auth/login",
    data: data,
  });
};

//  PBS编码规则管理列表
export const getPBScodeRuleList_api = (data) => {
  return request({
    method: "get",
    url: "/tofly-sxgk/pbs/page",
    params: data,
  });
};

//  PBS编码规则管理列表子项信息
export const getPBScodeRuleInfo_api = (data) => {
  return request({
    method: "get",
    url: "/tofly-sxgk/pbs/getPbsInfo/" + data.id,
    params: data,
  });
};

//  PBS编码规则新增按钮
export const addPBScodeRule_api = (data) => {
  return request({
    method: "post",
    url: "/tofly-sxgk/pbs",
    data: data,
  });
};

//  PBS编码规则删除按钮
export const delPBScodeRule_api = (data) => {
  return request({
    method: "DELETE",
    url: "/tofly-sxgk/pbs/deleteAll/" + data,
  });
};

// PBS编码规则定义编码定义
export const getPBScodeRuleEdit_api = (data) => {
  return request({
    method: "get",
    url: "/tofly-sxgk/bo/page",
    params: data,
  });
};

//  PBS编码规则定义编码保存
export const PutPBScodeRule_api = (data) => {
  return request({
    method: "put",
    url: "/tofly-sxgk/pbsLevel/save",
    data: data,
  });
};

// 获取照片墙树状列表最小节点
export const getTreeChild_api = (data) => {
  return request({
    method: "get",
    url: "/tofly-sxgk/structure/childUnit",
    params: data,
  });
};

// 获取排水专项检查结果数据
export const getTreeFinalDetails_api = (data) => {
  return request({
    method: "get",
    url: "/tofly-sxgk/examinationCustom/getData",
    params: data,
  });
};
//根据pbs编码查询部件信息
export const getPidByPbs_api = (data) => {
  return request({
    method: "get",
    url: "/tofly-sxgk/structure/getPidByPbs",
    params: data,
  });
};
// 获取选中当前层级的所有扫码照片
export const getTreeCheckedPic_api = (data) => {
  return request({
    method: "get",
    url: "/tofly-sxgk/newPipeAndNodeScan/getPictureList",
    params: data,
  });
};

//获取项目信息管理列表
export const getPrjInfoList_api = (data) => {
  return request({
    method: "get",
    url: "/tofly-sxgk/userprj/listPrjInfo",
    params: data,
  });
};

//获取项目信息管理列表的子列表
export const getPrjInfoSubList_api = (data) => {
  return request({
    method: "get",
    url: "/tofly-sxgk/prj/page",
    params: data,
  });
};

//修改项目信息管理列表
export const putPrjList_api = (data) => {
  return request({
    method: "put",
    url: "/tofly-sxgk/areacompany",
    data: data,
  });
};
//区域总部
export const getOrglist_api = (data) => {
  return request({
    method: "get",
    url: "/tofly-sxgk/org/page",
    params: data,
  });
};
//区域绑定
export const getOrgPrj_api = (data) => {
  return request({
    method: "post",
    url: "/tofly-sxgk/orgprj",
    data: data,
  });
};

//修改项目信息管理列表的子列表
export const putPrjSubList_api = (data) => {
  return request({
    method: "put",
    url: "/tofly-sxgk/prj",
    data: data,
  });
};

export const postPrjSubList_api = (data) => {
  return request({
    method: "post",
    url: "/tofly-sxgk/prj",
    data: data,
  });
};

export const syncProject_api = (data) => {
  return request({
    method: "get",
    url: "/tofly-sxgk/dataSync/syncProject",
    params: data,
  });
};

export const syncContract_api = (data) => {
  return request({
    method: "get",
    url: "/tofly-sxgk/dataSync/syncContract",
    params: data,
  });
};

export const deleteProject_api = (data) => {
  return request({
    method: "DELETE",
    url: "/tofly-sxgk/areacompany/deleteByIds",
    params: data,
  });
};

export const batchByTdIds_api = (data) => {
  return request({
    method: "put",
    url: "/tofly-sxgk/tdprj/batchByTdIds",
    data: data,
  });
};

export const updateSort_api = (data) => {
  return request({
    method: "post",
    url: "/tofly-base/prjsource/updateSort",
    data: data,
  });
};

//获取视频点位台账
export const videoList_api = (data) => {
  return request({
    method: "get",
    url: "/tofly-sxgk/query/getCameraInfo",
    params: data,
  });
};

/** pbs工程结构树 & 照片墙等树状列表，多个模块重要通用*/  
export const pbsTreeList_api = (data) => {
  return request({
    method: "get",
    url: "/tofly-sxgk/structure/list",
    params: data,
  });
};
/** 根据id查找树结构明细*/ 
export const getStructureDetailByID = (data) => {
  return request({
    method: "get",
    url: `/tofly-sxgk/structuredetail/${data.id}`,
    params: data,
  });
};
/**  根据id 查询PBS模板层级信息*/
export const getPbsLevelByID = (data) => {
  return request({
    method: "get",
    url: `/tofly-sxgk/pbslevel/${data.id}`,
    params: data,
  });
};
/** PBS模板层级分页查询*/ 
export const getPbsLevelPage = (data) => {
  return request({
    method: "get",
    url: `/tofly-sxgk/pbslevel/page`,
    params: data,
  });
};

/** 业务对象分页查询*/ 
export const getBoinfoPage = (data) => {
  return request({
    method: "get",
    url: `/tofly-sxgk/boinfo/page`,
    params: data,
  });
};

/** pbs模板详细信息分页查询*/ 
export const getPbsCodeDetailPage = (data) => {
  return request({
    method: "get",
    url: `/tofly-sxgk/pbscodedetailx/page`,
    params: data,
  });
};
//pbs工程结构树设计搜索
export const pbsTreeSearch_api = (data) => {
  return request({
    method: "get",
    url: "/tofly-sxgk/structure/getPidByPbsNew",
    params: data,
  });
};

//获取pbs工程结构树最小单元
export const pbsTreeMinimum_api = (data) => {
  return request({
    method: "get",
    url: "/tofly-sxgk/structure/findPsInfo",
    params: data,
  });
};
//获取pbs工程结构树部件二维码
export const createPdfByType_api = (data) => {
  return request({
    method: "get",
    url: "/tofly-sxgk/structure/createPdfByType",
    params: data,
  });
};

//部件二维码导出
export const createQRCodePdf_api = (data) => {
  return request({
    method: "POST",
    url: "/tofly-sxgk/structure/createPdf",
    data: data,
  });
};
//获取首页图表的井、管、水、污水数据
export const getOverviewData_api = (data) => {
  return request({
    method: "get",
    url: "/tofly-sxgk/bigScreen/getOverview",
    params: data,
  });
};

//获取首页图表的设计同比数据
export const getDesignRatio_api = (data) => {
  return request({
    method: "get",
    url: "/tofly-sxgk/bigScreen/getDesignGrowth",
    params: data,
  });
};

//获取首页图表的进度同比数据
export const getProgressRatio_api = (data) => {
  return request({
    method: "get",
    url: "/tofly-sxgk/bigScreen/getSpeedGrowth",
    params: data,
  });
};

//获取首页图表的扫码统计
export const getScanCount_api = (data) => {
  return request({
    method: "get",
    url: "/tofly-sxgk/bigScreen/getScanCount",
    params: data,
  });
};

//获取首页图表的进度统计
export const getSpeedCount_api = (data) => {
  return request({
    method: "get",
    url: "/tofly-sxgk/bigScreen/getSpeedCount",
    params: data,
  });
};

//获取首页图表的完成情况
export const getFinish_api = (data) => {
  return request({
    method: "get",
    url: "/tofly-sxgk/bigScreen/getfinish",
    params: data,
  });
};

//获取首页图表的批次情况
export const getMaterialCount_api = (data) => {
  return request({
    method: "get",
    url: "/tofly-sxgk/bigScreen/getMaterialCount",
    params: data,
  });
};

//获取首页图表的合格情况
export const getCheckoutCount_api = (data) => {
  return request({
    method: "get",
    url: "/tofly-sxgk/bigScreen/getCheckoutCount",
    params: data,
  });
};

//获取首页图表的工程进度
export const getPrjSpeed_api = (data) => {
  return request({
    method: "get",
    url: "/tofly-sxgk/bigScreen/getSpeed",
    params: data,
  });
};

//获取首页图表的进度预测
export const getPrjForecast_api = (data) => {
  return request({
    method: "get",
    url: "/tofly-sxgk/bigScreen/getPgforecast",
    params: data,
  });
};

//管网标注模块通用
export const addPipeMark_api = (data) => {
  return request({
    method: "post",
    url: "/tofly-sxgk/labelinfo",
    data: data,
  });
};
//地标标注上传
export const addMarkInfo_api = (data) => {
  return request({
    method: "post",
    url: "/tofly-sxgk/labelinfo",
    data: data,
  });
};
//标注管理数据获取
export const getLabelInfoList_api = (data) => {
  return request({
    method: "get",
    url: "/tofly-sxgk/labelinfo/list",
    params: data,
  });
};
export const deleteMarking_api = (data) => {
  return request({
    method: "DELETE",
    url: "/tofly-sxgk/labelinfo/removeByIds",
    params: data,
  });
};
//  扫码按人统计
export const getScanCensusList_api = (data) => {
  return request({
    method: "get",
    url: "/tofly-sxgk/pbsfx/getScanStatisticsByPerson",
    params: data,
  });
};

//  扫码次数统计
export const getScanStatistics_api = (data) => {
  return request({
    method: "get",
    url: "/tofly-sxgk/pbsfx/getScanStatistics",
    params: data,
  });
};

//  获取系统编码（多个功能使用的重要接口）-------> 服务配置的字典编码|标注管理结构|字典管理表格|部件资料上传
export const getBaseCodePage_api = (data) => {
  return request({
    method: "get",
    url: "/base/code/page",
    params: data,
  });
};

//获取服务配置的字典名称模块
export const getDictionaryName_api = (data) => {
  return request({
    method: "get",
    url: "/tofly-base/sourcedic/page",
    params: data,
  });
};

//获取服务配置的资源编码模块
export const getResourceName_api = (data) => {
  return request({
    method: "get",
    url: "/tofly-base/source/page",
    params: data,
  });
};

//服务配置的增改资源
export const setResourceName_api = (type, data) => {
  return request({
    method: type,
    url: "/tofly-base/source",
    data: data,
  });
};

//服务配置的增改字典
export const setDictionaryCode_api = (type, data) => {
  return request({
    method: type,
    url: "/tofly-base/sourcedic",
    data: data,
  });
};

//服务配置的删除字典
export const delDictionaryCode_api = (data) => {
  return request({
    method: "DELETE",
    url: "/tofly-base/sourcedic/removeByIds",
    params: data,
  });
};

//服务配置的删除资源
export const delResourceName_api = (data) => {
  return request({
    method: "DELETE",
    url: "/tofly-base/source/" + data,
  });
};

//搜索栏查询施工进度
export const mapSearch_api = (data) => {
  return request({
    method: "get",
    url: "/tofly-sxgk/newPipeAndNodeScan/mapSearch",
    params: data,
  });
};

//显示控制模块接口
//施工状态查询
export const getbuiltNotCheck_api = (data) => {
  return request({
    method: "get",
    url: "/tofly-sxgk/pbsfx/getbuiltNotCheck",
    params: data,
  });
};

export const getbuiltCheck_api = (data) => {
  return request({
    method: "get",
    url: "/tofly-sxgk/pbsfx/getbuiltCheck",
    params: data,
  });
};

export const getlocdays_api = (data) => {
  return request({
    method: "get",
    url: "/tofly-sxgk/pbsfx/getlocdays",
    params: data,
  });
};
//专题图信息查询

export const getScanPersonStatistics_api = (data) => {
  return request({
    method: "get",
    url: "/tofly-sxgk/pbsfx/getScanPersonStatistics",
    params: data,
  });
};

export const getScanTimesStatisticsFilter_api = (data) => {
  return request({
    method: "get",
    url: "/tofly-sxgk/pbsfx/getScanTimesStatisticsFilter",
    params: data,
  });
};

//连通性分析
export const getLtxfx_api = (data) => {
  return request({
    method: "get",
    url: "/tofly-sxgk/query/getLtxfx",
    params: data,
  });
};

// 个人工作台获取表格数据
const PersonWorkList_api = (data) => {
  return request({
    method: "get",
    url: "/tofly-sxgk/personWork/list",
    params: data,
  });
};
// 个人工作台获取照片
const PersonWorkOtherCount_api = (data) => {
  return request({
    method: "get",
    url: "/tofly-sxgk/personWork/otherCount",
    params: data,
  });
};
// 送货台账
const MaterialinvoicePageOu_api = (data) => {
  return request({
    method: "get",
    url: "/tofly-sxgk/materialinvoice/pageOur",
    params: data,
  });
};
// 送货台账统计
const MaterialinvoicePageOu1_api = (data) => {
  return request({
    method: "get",
    url: "/tofly-sxgk/materialinvoice/pageOur1",
    params: data,
  });
};
// 送货台账送货单位
const MaterialinvoiceSuppLier_api = (data) => {
  return request({
    method: "get",
    url: "/tofly-sxgk/materialinvoice/suppLier",
    params: data,
  });
};
// 送货台账施工单位
const MaterialinvoiceBuiltNamer_api = (data) => {
  return request({
    method: "get",
    url: "/tofly-sxgk/materialinvoice/builtName",
    params: data,
  });
};
// 送货台账详情
const MaterialinvoicePage_api = (data) => {
  return request({
    method: "get",
    url: "/tofly-sxgk/materialdetail/page",
    params: data,
  });
};
// 部件施工台账
const NewPipeAndNodeScanPage_api = (data) => {
  return request({
    method: "get",
    url: "/tofly-sxgk/newPipeAndNodeScan/page",
    params: data,
  });
};
// 部件施工台账
const DiaryreportPage_api = (data) => {
  return request({
    method: "get",
    url: "/tofly-sxgk/diaryreport/page",
    params: data,
  });
};
// 遗漏管道台账
const HispspipePage_api = (data) => {
  return request({
    method: "get",
    url: "/tofly-sxgk/hispspipe/page",
    params: data,
  });
};
// 工程进度分析
const ConstructRatePageMap_api = (data) => {
  return request({
    method: "get",
    url: "/tofly-sxgk/constructRate/pageMap",
    params: data,
  });
};
// 工程设计统计
const PbsfxGetDesignStatistics_api = (data) => {
  return request({
    method: "get",
    url: "/tofly-sxgk/pbsfx/getDesignStatistics",
    params: data,
  });
};
// 送货统计
const MaterialinvoiceCount_api = (data) => {
  return request({
    method: "get",
    url: "/tofly-sxgk/materialinvoice/count",
    params: data,
  });
};
// 材料统计
const MaterialinvoiceMaterialStatistical_api = (data) => {
  return request({
    method: "get",
    url: "/tofly-sxgk/materialinvoice/materialStatistical",
    params: data,
  });
};
// 进度预测
const PbsfxPgforecastList_api = (data) => {
  return request({
    method: "get",
    url: "/tofly-sxgk/pbsfx/pgforecastList",
    params: data,
  });
};
// 单位施工统计
const PbsfxGetBuildStatistics_api = (data) => {
  return request({
    method: "get",
    // url: "/pbsfx/getBuildStatistics",
    url: "/tofly-sxgk/pbsfx/getBuildStatistics",
    params: data,
  });
};
// 业务对象建模获得表格
const GetBoPage_api = (method, Rurl, data) => {
  if (Rurl) {
    Rurl = `/tofly-sxgk${Rurl}`;
  }
  return request({
    method: method,
    url: Rurl || "/tofly-sxgk/bo/page",
    params: data,
  });
};
// 业务对象建模新增数据
const AddPage_api = (method, Rurl, data) => {
  return request({
    method: method,
    url: `/tofly-sxgk${Rurl}`,
    data: data,
  });
};
// pbs工程结构管理版本管理
const getPBSVersion_api = (data) => {
  return request({
    method: "get",
    url: "/tofly-sxgk/pbsprj/page",
    params: data,
  });
};

// pbs工程结构管理项目选择框
const UserprjListPrj_api = (data) => {
  return request({
    method: "get",
    url: "/tofly-sxgk/userprj/listPrj",
    params: data,
  });
};

// pbs工程结构管理合同挂接合同列表
const getContractList_api = (data) => {
  return request({
    method: "get",
    url: "/tofly-sxgk/contract/page",
    params: data,
  });
};

// pbs工程结构管理合同挂接提交
const putContractList_api = (data) => {
  return request({
    method: "put",
    url: "/tofly-sxgk/contract/bingdCon",
    data: data,
  });
};

// pbs工艺工序管理工艺url
const TdtechPage_api = (data) => {
  return request({
    method: "get",
    url: "/tofly-sxgk/tdtech/page",
    params: data,
  });
};
//pbs工艺工序管理工艺的新增与修改
const TdtechOp_api = (type, data) => {
  return request({
    method: type,
    url: "/tofly-sxgk/tdtech",
    data: data,
  });
};
//pbs工艺工序管理工艺删除
const TdtechDel_api = (data) => {
  return request({
    method: "DELETE",
    url: "/tofly-sxgk/tdtech/deleteByIds",
    params: data,
  });
};
// pbs工艺工序管理工序url
const ProcedurenewPage_api = (data) => {
  return request({
    method: "get",
    url: "/tofly-sxgk/procedurenew/page",
    params: data,
  });
};
// pbs工艺工序管理工序的新增与修改
const ProcedurenewOp_api = (type, data) => {
  return request({
    method: type,
    url: "/tofly-sxgk/procedurenew",
    data: data,
  });
};
const ProcedurenewDel_api = (data) => {
  return request({
    method: "DELETE",
    url: "/tofly-sxgk/procedurenew/deleteByIds",
    params: data,
  });
};
// pbs工艺工序管理字段url
const TdfieldsPage_api = (data) => {
  return request({
    method: "get",
    url: "/tofly-sxgk/tdfields/page",
    params: data,
  });
};
// pbs工艺工序管理字段的新增与修改
const TdfieldsOp_api = (type, data) => {
  return request({
    method: type,
    url: "/tofly-sxgk/tdfields",
    data: data,
  });
};
// pbs工艺工序管理字段删除
const TdfieldsDel_api = (data) => {
  return request({
    method: "DELETE",
    url: "/tofly-sxgk/tdfields/deleteByIds",
    params: data,
  });
};
//工艺工序配置管理分组查询
const TdGroupPage_api = (data) => {
  return request({
    method: "get",
    url: "/tofly-base/code/page",
    params: data,
  });
};
//工艺工序配置管理分组新增
const TdGroupAdd_api = (type, data) => {
  return request({
    method: type,
    url: "/tofly-base/code",
    data: data,
  });
};
// 项目管理表格数据
export const AreacompanyPage_api = (data) => {
  return request({
    method: "get",
    url: "/tofly-sxgk/areacompany/page",
    params: data,
  });
};

// 项目管理表格数据详情
export const BasePrjsourceListSourceById_api = (data) => {
  return request({
    method: "get",
    url: "/base/prjsource/listSourceById",
    params: data,
  });
};
// 项目管理表格数据更改详情
export const BasePrjsourceUpdate_api = (data) => {
  return request({
    method: "put",
    url: "/base/prjsource/update",
    data: data,
  });
};
// 字典管理新增修改
const Code_api = (method, data) => {
  return request({
    method: method,
    url: "/tofly-base/code",
    data: data,
  });
};
// 字典管理删除
const CodeRemoveByIds_api = (data) => {
  return request({
    method: "delete",
    url: "/tofly-base/code/removeByIds",
    params: data,
  });
};
// 左角色管理获取表单
const RoleManagementRole_api = (data) => {
  return request({
    method: "get",
    url: "/tofly-base/role/page",
    params: data,
  });
};
// 右角色管理获取表单
const RoleManagementMenuListById_api = (data) => {
  return request({
    method: "get",
    url: "/tofly-base/role/menuListById",
    params: data,
  });
};
// 角色管理删除
const RoleManagementremoveByIds_api = (data) => {
  return request({
    method: "DELETE",
    url: "/tofly-base/role/removeByIds",
    params: data,
  });
};
// 角色管理新增修改表单
const AddRoleManagement_api = (method, data) => {
  return request({
    method: method,
    url: "/tofly-base/role",
    data: data,
  });
};
// 资源配置新建修改
const RolemenuUpdateBatch_api = (data) => {
  return request({
    method: 'put',
    url: "/tofly-base/rolemenu/updateBatch",
    data: data,
  });
};
//施工日志
const DiaryPageNewQuery_api = (data) => {
  return request({
    method: "get",
    url: "/tofly-sxgk/diary/pageNewQuery",
    params: data,
  });
};
//管点台账
const HispsnodePage_api = (data) => {
  return request({
    method: "get",
    url: "/tofly-sxgk/hispsnode/page",
    params: data,
  });
};

// 照片墙单位列表
const PohtopageFilterPrj_api = (data) => {
  return request({
    method: "get",
    url: "/tofly-base/department/pageFilterPrj",
    params: data,
  });
};
// 照片墙工程单位列表查询
const EngineeringQuery_api = (data) => {
  return request({
    method: "get",
    url: "/tofly-sxgk/structure/findByName",
    params: data,
  });
};

//  工程信息发布管理新闻列表
const getProjectNewsList_api = (data) => {
  return request({
    method: "get",
    url: "/tofly-sxgk/infopublish/page",
    params: data,
  });
};

//  工程信息发布管理项目列表
const getProjectList_api = (data) => {
  return request({
    method: "get",
    url: "/tofly-sxgk/areacompany/pageFilterUser",
    params: data,
  });
};

//  工程信息发布管理发布人列表
const getIssuerList_api = (data) => {
  return request({
    method: "get",
    url: "/tofly-base/user/pageNew",
    params: data,
  });
};

//  工程信息发布管理新闻二维码
const getNewsQRCode_api = (data) => {
  return request({
    method: "get",
    url: "/tofly-sxgk/cInfoPublish/getOneQrcodeUrl",
    params: data,
  });
};

//  工程信息发布管理新闻状态更改
const putPublishStatus_api = (data) => {
  return request({
    method: "post",
    url: "/tofly-sxgk/cInfoPublish/statusModify",
    data: data,
  });
};

//  工程信息发布管理新闻删除
const delPublishNews_api = (params) => {
  return request({
    method: "delete",
    url: "/tofly-sxgk/infopublish/" + params,
  });
};

//  工程信息发布管理新闻详情
const getNewsDetails_api = (data) => {
  return request({
    // baseURL: "https://yeepms.yeec.com.cn/gis-api/",
    method: "get",
    url: "/tofly-sxgk/cInfoPublish/getInfoById",
    params: data,
  });
};

//  工程信息发布管理暂存
const saveNewsInterim_api = (data) => {
  return request({
    method: "post",
    url: "/tofly-sxgk/cInfoPublish/saveOrUpdate",
    data: data,
  });
};

// 空间图层管理信息表
const getLayerManagement_api = (data) => {
  return request({
    method: "get",
    url: "/tofly-sxgk/layermanagement/page",
    params: data,
  });
};

//  部件资料上传
const uploadUnitData_api = (data) => {
  return request({
    headers: {
      'content-type': 'multipart/form-data'
    },
    method: "post",
    url: "/tofly-sxgk/partsfile",
    data: data,
  });
};

//  图纸上传在线获取公司名称
export const getAreaInfo_api = (data) => {
  return request({
    method: "get",
    url: "/tofly-sxgk/outpiper/getAreaInfo",
    params: data,
  });
};
//  图纸上传在线获取图纸名称
export const getoutpiperInfo_api = (data) => {
  return request({
    method: "get",
    url: "/tofly-sxgk/outpiper/page",
    params: data,
  });
};
//  图纸上传 上传接口
export const projectfile_api = (data) => {
  return request({
    method: "post",
    url: "/tofly-sxgk/projectfile",
    data: data,
    headers: {
      "Content-Type": "multipart/form-data"
    },
  });
};
//  资料中心表格
export const GetdataCenter_api = (data) => {
  return request({
    method: "get",
    url: "/tofly-sxgk/dataCenter/page",
    params: data,
  });
};
//  资料中心审核
export const postdataaudit_api = (data) => {
  return request({
    method: "post",
    url: "/tofly-sxgk/dataCenter/audit",
    data: data,
  });
};
// return request({
//   method: "get",
//   url: "/tofly-base/department/pageFilterPrj",
//   params: data,
// });
// };
//扫码台账列表
const PageByScan_api = (data) => {
  return request({
    method: "get",
    url: "/tofly-sxgk/newPipeAndNodeScan/pageByScan",
    params: data,
  });
};
//扫码台账获取未绑定照片
const PageByScanFindPicture_api = (data) => {
  return request({
    method: "get",
    url: "/tofly-sxgk/pipepr/util/findPicture",
    params: data,
  });
};

/**
 * 大屏后台接口
 */
export const GetUserInfo_api = () => {
  return request({
    method: "get",
    url: "/tofly-base/user/getInfo",
  });
};
export const GetUserProjectInfo_api = (data) => {
  return request({
    method: "get",
    url: "/tofly-base/user/pageNew",
    params: data,
  });
};
export const GetUserRegion_api = () => {
  return request({
    method: "get",
    url: "/tofly-sxgk/other/getUserPrjs",
  });
};
export const GetUpdateTime_api = () => {
  return request({
    method: "get",
    url: "/tofly-sxgk/bigScreenArea/getUpdateTime",
  });
};
//项目数据
export const GetProjectInfo_api = (data) => {
  return request({
    method: "get",
    url: "/tofly-sxgk/bigScreen/getSingleStatics",
    params: data,
  });
};
export const FindCurrentDaysScanLength_api = (data) => {
  return request({
    method: "get",
    url: "/tofly-sxgk/bigScreen/findCurrentDaysScanLength",
    params: data,
  });
};
export const GetProjectOverall_api = (data) => {
  return request({
    method: "get",
    url: "/tofly-sxgk/bigScreen/findBuildAndSupplyData",
    params: data,
  });
};
export const GetProjectRankList_api = (data) => {
  return request({
    method: "get",
    url: "/tofly-sxgk/bigScreen/findBuildAndDesignInfo",
    params: data,
  });
};
export const GetNodeAndPipeInfo_api = (data) => {
  return request({
    method: "get",
    url: "/tofly-sxgk/bigScreen/getDesignAndScanInfo",
    params: data,
  });
};
export const GetTvPbsDetail_api = (data) => {
  return request({
    method: "get",
    url: "/tofly-sxgk/bigScreen/getTvPbsDetail",
    params: data,
  });
};
export const GetBuildAreaStatistic_api = (data) => {
  return request({
    method: "get",
    url: "/tofly-sxgk/pbsfx/getAreaStatistics2",
    params: data,
  });
};

//集团区域数据接口
export const GetGroupProjectInfo_api = (data) => {
  return request({
    method: "get",
    url: "/tofly-sxgk/bigScreenArea/left",
    params: data,
  });
};
export const GetGroupProjectDetailInfo_api = (data) => {
  return request({
    method: "get",
    url: "/tofly-sxgk/bigScreenArea/leftDetail",
    params: data,
  });
};
export const GetGroupRecentScanLength_api = (data) => {
  return request({
    method: "get",
    url: "/tofly-sxgk/bigScreenArea/leftBottom",
    params: data,
  });
};
export const GetGroupOverall_api = (data) => {
  return request({
    method: "get",
    url: "/tofly-sxgk/bigScreenArea/top",
    params: data,
  });
};
export const GetGroupRankList_api = (data) => {
  return request({
    method: "get",
    url: "/tofly-sxgk/bigScreenArea/rankDays",
    params: data,
  });
};
export const GetGroupNodeAndPipeInfo_api = (data) => {
  return request({
    method: "get",
    url: "/tofly-sxgk/bigScreenArea/right",
    params: data,
  });
};
export const GetUserInitData = (data) => { //初始化用户所有资源
  return request({
    method: "get",
    url: "/base/user/initData",
    params: data,
  });
};
export const GetProgress = (data) => {
  return request({
    method: "get",
    url: "/tofly-sxgk/pbsfx/scanList",
    params: data,
  });
};
export const PipeAndNodeProcess = (data) => {
  return request({
    method: "get",
    url: "/tofly-sxgk/newPipeAndNodeScan/progressShow",
    params: data,
  });
};
export default {
  initialCall,
  PersonWorkList_api,
  PersonWorkOtherCount_api,
  MaterialinvoicePageOu_api,
  NewPipeAndNodeScanPage_api,
  MaterialinvoicePage_api,
  DiaryreportPage_api,
  HispspipePage_api,
  ConstructRatePageMap_api,
  PbsfxGetDesignStatistics_api,
  MaterialinvoiceCount_api,
  MaterialinvoiceMaterialStatistical_api,
  PbsfxPgforecastList_api,
  PbsfxGetBuildStatistics_api,
  GetBoPage_api,
  AddPage_api,
  pbsTreeList_api,
  getPBSVersion_api,
  getContractList_api,
  putContractList_api,
  pbsTreeMinimum_api,
  UserprjListPrj_api,
  TdtechPage_api,
  ProcedurenewPage_api,
  TdfieldsPage_api,
  BasePrjsourceUpdate_api,
  Code_api,
  CodeRemoveByIds_api,
  RoleManagementRole_api,
  RoleManagementMenuListById_api,
  AddRoleManagement_api,
  RoleManagementremoveByIds_api,
  RolemenuUpdateBatch_api,
  DiaryPageNewQuery_api,
  HispsnodePage_api,
  PohtopageFilterPrj_api,
  EngineeringQuery_api,
  getProjectNewsList_api,
  getNewsQRCode_api,
  getProjectList_api,
  getIssuerList_api,
  putPublishStatus_api,
  delPublishNews_api,
  getNewsDetails_api,
  saveNewsInterim_api,
  getLayerManagement_api,
  uploadUnitData_api,
  projectfile_api,
  getoutpiperInfo_api,
  getAreaInfo_api,
  TdGroupPage_api,
  TdGroupAdd_api,
  TdtechOp_api,
  TdtechDel_api,
  ProcedurenewOp_api,
  ProcedurenewDel_api,
  TdfieldsOp_api,
  TdfieldsDel_api,
  PageByScan_api,
  PageByScanFindPicture_api,
  GetdataCenter_api,
  postdataaudit_api,
  createPdfByType_api,
  GetUserInitData,
  GetProgress,
  PipeAndNodeProcess,
  MaterialinvoiceSuppLier_api,
  MaterialinvoiceBuiltNamer_api,
  MaterialinvoicePageOu1_api
};
